### org.jfree.layouting.input.style.selectors.conditions

# Class ContentCSSCondition

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.conditions.ContentCSSCondition`

Implemented Interfaces:
  Condition, ContentCondition, CSSCondition, Serializable

`public class ContentCSSCondition`
`extends java.lang.Object`
`implements CSSCondition, ContentCondition`

Creation-Date: 24.11.2005, 20:20:54

Author:
  Thomas Morgner

  ## Constructor Summary

  `ContentCSSCondition(String data)`

  ## Method Summary

  `short`

  `getConditionType()`
    An integer indicating the type of `Condition`.

  `String`

  `getData()`
    Returns the content.

  `boolean`

  `isMatch(Object resolveState)`

## Constructor Details

### ContentCSSCondition

    public ContentCSSCondition(String data)

## Method Details

### getConditionType

    public short getConditionType()

> An integer indicating the type of `Condition`.

### getData

    public String getData()

> Returns the content.

### isMatch

    public boolean isMatch(Object resolveState)

> Specified by:
>   isMatch in interface CSSCondition